Page MenuHomeMiraheze

Import xml into templatewiki gives "504 Gateway Time-out"?
Closed, ResolvedPublic

Description

The xml I'd like to import into templatewiki is 3.5 Mb but that's failed repeatedly for a couple of days now. So I tried in smaller chunks. Until just Template:Asbox exported from en. (with templates and without history) only 324 kb it still goes (some of the time) to "504 Gateway Time-out". Attached file 896 kb cunk fails more reliably. I've tried from a couple of different networks.

Event Timeline

The full 3.5 Mb xml that I'd like imported into templatewiki.

Rob_Kam updated the task description. (Show Details)

Also got once

Import failed: A database query error has occurred. Did you forget to run your application's database schema updater after upgrading? Query: INSERT IGNORE INTO page (page_namespace,page_title,page_restrictions,page_is_redirect,page_is_new,page_random,page_touched,page_latest,page_len) VALUES ('10','Asbox/stubtree','','0','1','0.724372179130','20180205181219','0','0') Function: WikiPage::insertOn Error: 1213 Deadlock found when trying to get lock; try restarting transaction (81.4.125.112)

and occasionally

Error 503 Backend fetch failed, forwarded for xxx.xxx.xx.xxx, 127.0.0.1 (Varnish XID 1638511) via cp4 at Mon, 05 Feb 2018 21:14:20 GMT.

Reception123 triaged this task as Normal priority.Feb 6 2018, 06:38

I think we may need to run update.php once and see how it goes.

Still happening. Multiple attempts to import a 363 kb xml get errors everytime, e.g.

503 Backend fetch failed

and

504 Gateway Time-out

etc.

Shouldn't there be something on twitter about the poor connectivity?

@Rob_Kam The backend issues should now be fixed.

Do you need me to upload an XML for you?

I'm still getting errors uploading, please if you could import

<s>and this one please

</s>
Never mind, this one imported okay.

In php.ini please could

default_socket_timeout

be increased from 60 to 2000 as per Help:Import?

I've managed to import most of it by having to do it in smaller chunks - this shouldn't be necessary. These are left over because they can't import at all. All over 360 kb. Please import them asap:

Template:N/a
Template:No
Template:Yes
Template:Reflist/doc
Template:Search link
Template:Su

I've managed to import most of it by having to do it in smaller chunks - this shouldn't be necessary. These are left over because they can't import at all. All over 360 kb. Please import them asap:

Template:N/a
Template:No
Template:Yes
Template:Reflist/doc
Template:Search link
Template:Su

Done. Any other imports needed?

Thanks. Yes but not just yet.

Rob_Kam claimed this task.

@Rob_Kam FYI, I imported a 8 MB xml dump on Meta, and it did not cause any errors.

So maybe the issue is fixed?

I'm still finding it impossible to import 362 kb I've submitted a bug at T2774

e.g. Template:N/a exported from en with Include templates checked, is 368 kb when imported gives "504 Gateway Time-out".

Rob_Kam raised the priority of this task from Normal to High.

It's still broken.

Reception123 lowered the priority of this task from High to Normal.EditedMar 17 2018, 06:51

There are other bugs like this, but usually only bugs that stop the functioning of a site, or of the whole site are triaged as "high" priority.

@Rob_Kam Could you please give me an XML file that I could import into templatewiki? (As I mentioned before, I tested this on another wiki and it worked for even larger sizes)

@Rob_Kam Yes, this time I can confirm that this happens to me as well. @John ^